> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Fish Model Get



## OpenAPI

````yaml /openapi/fish.json get /fish/model/{id}
openapi: 3.0.0
info:
  title: Fish music generation
  version: 1.0.0
  description: API reference for Fish music generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /fish/model/{id}:
    get:
      summary: Fish Model Get
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
          description: Fish Model Id Param Id
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Fish Model Id Param Accept
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  _id: d7900c21663f485ab63ebdb7e5905036
                  type: tts
                  title: Marcus Aurelius
                  description: Fish Model Id Response 200 Example
                  cover_image: https://cdn.acedata.cloud/4hfydw.jpg
                  train_mode: fast
                  state: trained
                  tags:
                    - historical
                  samples:
                    - title: sample 1
                      text: Hello, this is a sample.
                      task_id: ad1c50e6f1a4474d96a17a91da93dac2
                      audio: >-
                        https://platform.r2.fish.audio/task/8a72ff9840234006a9f74cb2fa04f978.mp3
                  created_at: '2024-09-01T07:53:39.476000Z'
                  updated_at: '2024-09-01T07:53:39.476000Z'
                  languages:
                    - en
                  visibility: public
                  lock_visibility: false
                  like_count: 12
                  mark_count: 3
                  shared_count: 0
                  task_count: 5
                  unliked: false
                  liked: false
                  marked: false
                  author:
                    _id: 8e0b7add9a474db4b46abe51ef64b3c0
                    nickname: AceDataCloud
                properties:
                  _id:
                    type: string
                    description: Fish Model Id Response 200 Id
                  type:
                    type: string
                    description: Fish Model Id Response 200 Type
                  title:
                    type: string
                    description: Fish Model Id Response 200 Title
                  description:
                    type: string
                    description: Fish Model Id Response 200 Description
                  cover_image:
                    type: string
                    description: Fish Model Id Response 200 Cover Image
                  train_mode:
                    type: string
                    description: Fish Model Id Response 200 Train Mode
                  state:
                    type: string
                    description: Fish Model Id Response 200 State
                  tags:
                    type: array
                    items:
                      type: string
                    description: Fish Model Id Response 200 Tags
                  samples:
                    type: array
                    description: Fish Model Id Response 200 Samples
                    items:
                      type: object
                  created_at:
                    type: string
                    format: date-time
                    description: Fish Model Id Response 200 Created At
                  updated_at:
                    type: string
                    format: date-time
                    description: Fish Model Id Response 200 Updated At
                  languages:
                    type: array
                    items:
                      type: string
                    description: Fish Model Id Response 200 Languages
                  visibility:
                    type: string
                    description: Fish Model Id Response 200 Visibility
                  author:
                    type: object
                    description: Fish Model Id Response 200 Author
          description: Fish Model Id Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Fish Model Id Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Fish Model Id Response 400 Error Message
                      trace_id:
                        type: string
                        description: Fish Model Id Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Fish Model Id Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Fish Model Id Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Fish Model Id Response 400 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: disabled
                        message: >-
                          Your application has been disabled by Ace Data Cloud
                          due to abnormal usage behavior, please contact our
                          support to get more information.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: disabled
                            description: Fish Model Id Response 400 Error Code 3
                          message:
                            type: string
                            example: >-
                              Your application has been disabled by Ace Data
                              Cloud due to abnormal usage behavior, please
                              contact our support to get more information.
                            description: Fish Model Id Response 400 Error Message 3
                      trace_id:
                        type: string
                        description: Fish Model Id Response 400 Trace Id 3
                  - type: object
                    example:
                      error:
                        code: bad_request
                        message: model is invalid.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: bad_request
                            description: Fish Model Id Response 400 Error Code 4
                          message:
                            type: string
                            example: model is invalid.
                            description: Fish Model Id Response 400 Error Message 4
                      trace_id:
                        type: string
                        description: Fish Model Id Response 400 Trace Id 4
                  - type: object
                    example:
                      error:
                        code: no_token
                        message: No token specified for the request.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_token
                            description: Fish Model Id Response 400 Error Code 5
                          message:
                            type: string
                            example: No token specified for the request.
                            description: Fish Model Id Response 400 Error Message 5
                      trace_id:
                        type: string
                        description: Fish Model Id Response 400 Trace Id 5
          description: Fish Model Id Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Fish Model Id Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Fish Model Id Response 401 Error Message
                      trace_id:
                        type: string
                        description: Fish Model Id Response 401 Trace Id
                  - type: object
                    example:
                      error:
                        code: token_expired
                        message: token expired.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_expired
                            description: Fish Model Id Response 401 Error Code 2
                          message:
                            type: string
                            example: token expired.
                            description: Fish Model Id Response 401 Error Message 2
                      trace_id:
                        type: string
                        description: Fish Model Id Response 401 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: token and api does not match.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Fish Model Id Response 401 Error Code 3
                          message:
                            type: string
                            example: token and api does not match.
                            description: Fish Model Id Response 401 Error Message 3
                      trace_id:
                        type: string
                        description: Fish Model Id Response 401 Trace Id 3
          description: Fish Model Id Response 401
        '403':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: used_up
                        message: >-
                          Your balance is not sufficient for current request,
                          please buy more in Ace Data Cloud.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: used_up
                            description: Fish Model Id Response 403 Error Code
                          message:
                            type: string
                            example: >-
                              Your balance is not sufficient for current
                              request, please buy more in Ace Data Cloud.
                            description: Fish Model Id Response 403 Error Message
                      trace_id:
                        type: string
                        description: Fish Model Id Response 403 Trace Id
          description: Fish Model Id Response 403
        '404':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: no_api
                        message: API does not exist, please make sure url is correct.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_api
                            description: Fish Model Id Response 404 Error Code
                          message:
                            type: string
                            example: >-
                              API does not exist, please make sure url is
                              correct.
                            description: Fish Model Id Response 404 Error Message
                      trace_id:
                        type: string
                        description: Fish Model Id Response 404 Trace Id
          description: Fish Model Id Response 404
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Fish Model Id Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Fish Model Id Response 429 Error Message
                      trace_id:
                        type: string
                        description: Fish Model Id Response 429 Trace Id
          description: Fish Model Id Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Fish Model Id Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Fish Model Id Response 500 Error Message
                      trace_id:
                        type: string
                        description: Fish Model Id Response 500 Trace Id
          description: Fish Model Id Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````